DictionaryFeatureGenerator (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: DictionaryFeatureGenerator

# Class DictionaryFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.DictionaryFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class DictionaryFeatureGenerator extends Object implements AdaptiveFeatureGenerator
The `DictionaryFeatureGenerator` uses a `DictionaryNameFinder` to generate features for detected names based on the `InSpanGenerator`.

See Also:
  - `Dictionary`
  - `DictionaryNameFinder`
  - `InSpanGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DictionaryFeatureGenerator(String prefix, Dictionary dict)`
  Initializes a `DictionaryFeatureGenerator` with the specified parameters.
  `DictionaryFeatureGenerator(Dictionary dict)`
  Initializes a `DictionaryFeatureGenerator` with the specified `Dictionary`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
  `void`
  `setDictionary(String name, Dictionary dict)`
  `void`
  `setDictionary(Dictionary dict)`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### DictionaryFeatureGenerator

    public DictionaryFeatureGenerator(Dictionary dict)
    Initializes a `DictionaryFeatureGenerator` with the specified `Dictionary`.
    Parameters:
      `dict` - The `Dictionary` to use. Must not be `null`.

  - ### DictionaryFeatureGenerator

    public DictionaryFeatureGenerator(String prefix, Dictionary dict)
    Initializes a `DictionaryFeatureGenerator` with the specified parameters.
    Parameters:
      `prefix` - The prefix to set. Must not be `null` but may be empty.
      `dict` - The `Dictionary` to use. Must not be `null`.

- ## Method Details

  - ### setDictionary

    public void setDictionary(Dictionary dict)

  - ### setDictionary

    public void setDictionary(String name, Dictionary dict)

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `previousOutcomes` - The outcomes for the tokens prior to the specified index.